/*
 * JPA entity PK template
 */

package de.ivu.elect.business.protokollierung.entity;

@javax.enterprise.inject.Vetoed
public class ProtokollEintragPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<ProtokollEintragPK> {

  private static final long serialVersionUID = 0L;

  public ProtokollEintragPK() {
    super();
  }

  public ProtokollEintragPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "ProtokollEintragPK:"+getId();
  }

  @Override
  public int compareTo(ProtokollEintragPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
